Фотогалереи

Услуги

Помощь при использовании сайта

Обновление библиотеки icu до версии 4.8

Обновление до dev-libs/icu-4.8 в Gentoo Linux привнесло некоторые проблемы.

То, что не запускался Chromium было само собой, так как уже неоднократно сталкивался с этой проблемой. Запуск

revdep-rebuild

решал проблему, пусть и долгой пересборкой браузера.
Но в этот раз еще обновился и cmake который не собрался.

После просмотра лога сборки оказалось, что для сборки ему нужна libxml.so.2 которой в свою очередь нужна бибилиотека libicuuc.so.46.
Запуск

revdep-rebuild

решает проблему обновления мира путем пересборки зависящих от icu пакетов
P.S. Кроме браузера Chromium и libxml2 нужно пересобрать с новой версией icu 4.8 такие пакеты как

gdk-pixbuf librsvg
0
Голосов пока нет
Ваша оценка: Нет